Skip to main content
GET
/
transactions
/
{transaction_id}
Get transaction by ID
curl --request GET \
  --url https://api.natural.co/transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "type": "transaction",
    "id": "txn_019cd36da26d75cd9b4923f83e80a90b",
    "attributes": {
      "amount": "100000",
      "currency": "USD",
      "status": "COMPLETED",
      "description": "Payment for services",
      "memo": null,
      "created_at": "2026-01-04T15:30:00Z",
      "updated_at": "2026-01-04T15:31:00Z",
      "is_delegated": false,
      "customer_name": null,
      "customer_agent_id": null,
      "sender_name": "Natural",
      "recipient_name": "Walt's Business",
      "transaction_type": "payment",
      "category": "sent",
      "direction": "OUTBOUND"
    },
    "relationships": {
      "source_party": {
        "data": {
          "type": "party",
          "id": "pty_019cd1798d617f65a79cb965dda9eac3"
        }
      },
      "destination_party": {
        "data": {
          "type": "party",
          "id": "pty_019cd1798d627ad9bc302511c4f2c115"
        }
      },
      "source_wallet": {
        "data": {
          "type": "wallet",
          "id": "wal_019cd3444a6f73db8ef1f4afd074c166"
        }
      },
      "destination_wallet": {
        "data": {
          "type": "wallet",
          "id": "wal_019cd3444a707462bf8bb2025e3c223b"
        }
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Agent-ID
string | null

Agent ID (agt_xxx) identifying which agent is making the request.

X-Instance-ID
string | null

Agent session/conversation ID for observability.

Maximum string length: 1024

Path Parameters

transaction_id
string
required

Transaction ID (txn_* format)

Response

Successful Response

Single transaction response.

data
TransactionResource · object
required

Resource object